Bug 1789006 - Smart proxy dynflow core listens on 0.0.0.0
Summary: Smart proxy dynflow core listens on 0.0.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.8.0
Assignee: Ewoud Kohl van Wijngaarden
QA Contact: Devendra Singh
URL:
Whiteboard:
: 1789007 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 15:03 UTC by Adam Ruzicka
Modified: 2020-10-27 13:00 UTC (History)
2 users (show)

Fixed In Version: foreman-installer-2.0.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28681 0 Normal Closed Smart proxy dynflow core listens on 0.0.0.0 2020-10-28 17:22:12 UTC
Red Hat Bugzilla 1200095 0 high ON_QA [RFE] IPv6 Full Feature Support for Satellite 6 2021-04-05 15:08:38 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:00:06 UTC

Description Adam Ruzicka 2020-01-08 15:03:51 UTC
We may want to use localhost to make it bind to both v4 and v6 sockets.

Comment 1 Adam Ruzicka 2020-01-08 15:03:56 UTC
Created from redmine issue https://projects.theforeman.org/issues/28681

Comment 7 Zach Huntington-Meath 2020-01-09 14:14:07 UTC
*** Bug 1789007 has been marked as a duplicate of this bug. ***

Comment 8 Bryan Kearney 2020-01-14 15:06:12 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 9 Bryan Kearney 2020-01-14 15:06:14 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 10 Bryan Kearney 2020-01-15 15:05:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28681 has been resolved.

Comment 12 Devendra Singh 2020-07-14 15:53:44 UTC
Verification points:

Satellite version: 6.8 Snap8

1- foreman-installer version

# rpm -q foreman-installer
foreman-installer-2.1.0-1.el7sat.noarch

2. Smart_proxy_dynflow_core.pid listen on all ip4 and ipv6 addresses.

# ps -aef|grep foreman-proxy
foreman+ 10974     1  0 Jul13 ?        00:00:56 ruby /usr/bin/smart_proxy_dynflow_core -d -p /var/run/foreman-proxy/smart_proxy_dynflow_core.pid
foreman+ 36992     1  0 Jul13 ?        00:00:04 ruby /usr/share/foreman-proxy/bin/smart-proxy --no-daemonize

#  sudo netstat -lnp|grep 36992
tcp        0      0 0.0.0.0:9090            0.0.0.0:*               LISTEN      36992/ruby          
tcp6       0      0 :::9090                 :::*                    LISTEN      36992/ruby          
#  sudo netstat -lnp|grep 10974
tcp        0      0 0.0.0.0:8008            0.0.0.0:*               LISTEN      10974/ruby          
tcp6       0      0 :::8008                 :::*                    LISTEN      10974/ruby

Comment 13 Devendra Singh 2020-07-14 16:22:58 UTC
There was a typo in Comment12 step2, Smart_proxy_dynflow_core.service listen on all ipv4 and ipv6 addresses instead of Smart_proxy_dynflow_core.pid.

Comment 16 errata-xmlrpc 2020-10-27 12:59:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.